#Module-Specific definitions
%define mod_version 0.9.0
%define release 1mdk
%define mod_name mod_dav_repos
%define mod_conf 79_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename catacomb-%{mod_version}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
Requires:	%{ap_name}-mod_dav
BuildPreReq:	ADVX-build >= 9.2
BuildRequires:	%{ap_name}-devel >= 2.0.43-5mdk
Provides: 	ADVXpackage
Provides:	AP20package

Summary:	Mod_dav_repos is a DSO module for the %{ap_name} Web server.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source0:	%{sourcename}.tar.bz2
Source1:	%{mod_conf}.bz2

# wget -rm http://www.webdav.org/catacomb/catacomb_HOWTO.html
Source2:	catacomb_HOWTO.html.bz2

Patch0:		catacomb-0.8.0-compilefixer.patch.bz2
License:	BSD-like
URL:		http://www.webdav.org/catacomb/
Prereq:		rpm-helper
#Requires:	libmysql12
BuildRequires:	MySQL-devel zlib-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Catacomb is a WebDAV repository module for use with the Apache
WebDAV module, mod_dav. Apache mod_dav parses WebDAV and DeltaV
protocol requests into operations on a repository providing
persistent storage of resources and their properties. The default
repository for mod_dav is provided by a separate module,
mod_dav_fs, which stores resource bodies as files in the
filesystem, and stores properties in a (G)DBM database. 

Catacomb provides a replacement for mod_dav_fs called
mod_dav_repos that stores resources and their properties in a
relational database (MySQL). The primary advantage of this
approach is the searching capabilities of the database are used to
implement the DASL protocol. Additionally, the database allows
straightforward implementation of the versioning capabilities of
the DeltaV protocol.

By shifting to relational database technology, Catacomb is a
platform that contains important aspects of typical document
management systems: the ability to store large numbers of
documents, and search over their metadata. Furthermore, it is
possible (via source code modification) to change the set of
predefined properties stored in the main schema of the relational
database. Properties in the main schema are faster to search. 

This project is the first open source implementation of the DASL
and DeltaV(linear versioning) protocols. We plan on tracking the
evolution of this protocol. 


%prep
%setup -q -n %{sourcename}
%patch0 -p1

%build

autoconf

%configure \
    --with-apache=%{_prefix} \
    --with-mysql=%{_prefix}

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

bzcat %{SOURCE2} > catacomb_HOWTO.html

# fix strange permissions
chmod 644 README TODO data.sql table.sql catacomb_HOWTO.html

%ADVXinstlib
%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

%post
%ADVXpost

%postun
%ADVXpost

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README TODO data.sql table.sql catacomb_HOWTO.html
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*

%changelog
* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_0.9.0-1mdk
- built for apache 2.0.48

* Sun Sep 28 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_0.9.0-1mdk
- 0.9.0

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_0.8.0-1mdk
- rebuilt against latest apache2, requires and buildrequires

* Wed Jun 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_0.8.0-1mdk
- rebuilt for apache v2.0.46
- buildprereq ADVX-build >= 9.2
- fix P0

* Tue Apr 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45_0.8.0-1mdk
- fix P0
- cosmetic rebuild for apache v2.0.45 

* Sun Feb 23 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44_0.8.0-4mdk
- add requires apache2-mod_dav

* Sat Feb 22 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44_0.8.0-3mdk
- comment out the mysql password, since the default configuration has none.
- test the package with cadaver, everything works fine.
- The TRACE errors are not errors, they are debug messages. It really took
  me a long time to find this out! =(

* Sat Feb 22 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44_0.8.0-2mdk
- rebuild with libmysql12

* Tue Jan 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44_0.8.0-1mdk
- rebuilt for apache v2.0.44
- fix P0

* Mon Jan 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_0.8.0-3mdk
- fix buildrequires apache2-devel >= 2.0.43-5mdk, as 
  pointed out by Olivier Thauvin

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_0.8.0-2mdk
- fix mod name in P0 (mod_dav_repos not libmod_dav_repos)

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_0.8.0-1mdk
- initial cooker contribs
